<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script type="text/javascript">
        const condicionUno = (1 == '1');
        const condicionDos = (1 === '1');
        const condicionTres = (0 || 1);
        const condicionCuatro = (true && 1);
        const condicionCinco = (1-1) && (2+2);
        const condicionSeis = (1-1) || (2+2);
        console.log(`Condicion Uno: ${condicionUno} \n Condicion Dos: ${condicionDos} \n Condicion Tres: ${condicionTres} \n Condicion Cuatro: ${condicionCuatro} \n Condicion Cinco: ${condicionCinco} \n Condicion Seis: ${condicionSeis}`)
    </script>

</body>
</html>